Subject: Re: [PATCH 0/2] gnu: mpv: Update to 0.38.0 and include sixel support.
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: Z572 <[email-masked]>, Mathieu Laparie <[email-masked]>
Date: Thu, 05 Sep 2024 22:24:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> Mathieu Laparie <[email-masked]> writes:
> 
> > I needed sixel support in mpv and noticed our package did not include it, and updated to 0.38.0 while I was at it. This inmplied upgrading libplacebo to 6.338.2, but 7.349.0 is available and works too, so I jumped to that version. mpv 0.38.0 comes with a number of improvements on top of the sixel support included here, among which better playlist display in terminal (was previously garbled with broken character sequences hardcoded from the OSD), support for --input-commands to run commands at startup, zooming on Ctrl+wheel, etc.
> >
> > The pkg-config name of libsixel seems to be gdk-pixbuf, and it appeared that adding just libsixel in inputs was not enough for mpv to build with sixel support.
> 
> I think should move gdk-pixbuf to libsixel's propagated-inputs, and add
> a comment say gdk-pixbuf pkg-config's âRequires.privateâ need
> gdk-pixbuf, and add a TODO for "remove it when we use pkgconf."

Thank you. I applied the patch with the suggestions above. MPV had
already been updated, tho.

Regards,
-- 
Nicolas Goaziou